"""Shared pytest fixtures and hooks. Add fixtures here as needed."""


from config_framework import DefaultConfigFactory
from pathlib import Path

def test_config_manager_factory()->None:
    factory = DefaultConfigFactory()
    config_manager = factory.config_manager
    config = config_manager.load_config(path=Path(__file__).parent / "a.py")
    print(config)
    assert type(config) == dict